Bug 739391

Summary: [abrt] youtube-dl-2011.08.04-1.fc15: youtube-dl:404:to_stderr:IOError: [Errno 5] Input/output error
Product: [Fedora] Fedora Reporter: Anurag Garg <anurag>
Component: youtube-dlAssignee: Till Maas <opensource>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: metherid, opensource, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:1a0653d7d27e98a4bf6e8b7cdd44f33e194f8c64
Fixed In Version: youtube-dl-2011.12.08-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-16 19:58:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Anurag Garg 2011-09-18 15:09:41 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
comment:        Just tried to cancel running instance of youtube-dl using ^C. and it crashed.
component:      youtube-dl
executable:     /usr/bin/youtube-dl
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        youtube-dl-2011.08.04-1.fc15
reason:         youtube-dl:404:to_stderr:IOError: [Errno 5] Input/output error
time:           Sun Sep 18 20:37:55 2011
uid:            500
username:       anurag

backtrace:
:youtube-dl:404:to_stderr:IOError: [Errno 5] Input/output error
:
:Traceback (most recent call last):
:  File "/usr/bin/youtube-dl", line 2987, in <module>
:    retcode = fd.download(all_urls)
:  File "/usr/bin/youtube-dl", line 604, in download
:    ie.extract(url)
:  File "/usr/bin/youtube-dl", line 844, in extract
:    return self._real_extract(url)
:  File "/usr/bin/youtube-dl", line 1138, in _real_extract
:    self._downloader.trouble(u'\nERROR: unable to download video')
:  File "/usr/bin/youtube-dl", line 429, in trouble
:    self.to_stderr(message)
:  File "/usr/bin/youtube-dl", line 404, in to_stderr
:    print >>sys.stderr, message.encode(preferredencoding())
:IOError: [Errno 5] Input/output error
:
:Local variables in innermost frame:
:message: u'\nERROR: unable to download video'
:self: <__main__.FileDownloader object at 0x21845d0>

Comment 1 Fedora Update System 2011-12-11 11:49:39 UTC
youtube-dl-2011.12.08-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc15

Comment 2 Fedora Update System 2011-12-11 11:50:13 UTC
youtube-dl-2011.12.08-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc16

Comment 3 Fedora Update System 2011-12-11 21:48:14 UTC
Package youtube-dl-2011.12.08-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2011.12.08-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16958/youtube-dl-2011.12.08-1.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-16 19:58:21 UTC
youtube-dl-2011.12.08-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-12-30 22:57:13 UTC
youtube-dl-2011.12.08-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.